## gtkpod 1.0.0

=== CMakeLists.txt ===
if(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)
    message("In-source build attempted; use out-of source builds.")
    message(FATAL_ERROR "Refer to the CMake documentation for more details.")
endif()

message("-------------------------------------------")
message("Configuration started")
message("-------------------------------------------")
project(gtkpod)
cmake_minimum_required(VERSION 2.6)
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")

set(PACKAGE ${CMAKE_PROJECT_NAME})
set(VERSION 0.99.17GIT)
set(GETTEXT_PACKAGE ${CMAKE_PROJECT_NAME})
set(PACKAGE_DATA_DIR ${CMAKE_INSTALL_PREFIX}/share)
set(PACKAGE_LOCALE_DIR ${PACKAGE_DATA_DIR}/locale)

option(USE_CLANG "Use clang instead of gcc to compile" OFF)
option(USE_LOCAL_DATA_FILES
    "Use data files in the source directory when running" OFF)
option(WANT_CURL "Enable build with CURL" ON)
option(WANT_GIO "Enable build with GIO" ON)
option(WANT_LIBVORBISFILE "Enable build with libvorbisfile" ON)
option(WANT_FLAC "Enable build with FLAC" ON)
option(LINK_AS_NEEDED "Link with -Wl,--as-needed" ON)

if(USE_CLANG)
    set(CMAKE_C_COMPILER clang)
endif()

if(USE_LOCAL_DATA_FILES)
    set(PACKAGE_DATA_DIR ${CMAKE_SOURCE_DIR})
endif()

include(flex)
include(CheckIncludeFile)
include(CheckIncludeFiles)

find_package(PkgConfig REQUIRED)
find_package(GTK2 REQUIRED)
find_package(Glade REQUIRED)
find_package(LibXml2 REQUIRED)
find_package(Libgpod REQUIRED)
find_package(ID3tag REQUIRED)
CHECK_INCLUDE_FILES(endian.h HAVE_ENDIAN_H)
CHECK_INCLUDE_FILES(mp4v2/platform.h HAVE_MP4V2_PLATFORM_H)

# This is hacky... the result is a test file that looks like this:
# #include <mp4v2/platform.h>
# typedef void* MP4FileHandle;//>
# #include <mp4v2/itmf_tags.h>
# This matches the way it's used in the code, and the autoconf test
CHECK_INCLUDE_FILES("mp4v2/platform.h>\ntypedef void* MP4FileHandle\;//;mp4v2/itmf_tags.h" HAVE_MP4V2_ITMF_TAGS_H)

set(OPT_INCLUDES "")
set(OPT_CFLAGS "")
set(OPT_LIBS "")

if(WANT_CURL)
    message("-- Checking for CURL...")
    find_package(CURL)
    if(CURL_FOUND)
        set(HAVE_CURL ON)
        set(OPT_INCLUDES ${OPT_INCLUDES} ${CURL_INCLUDE_DIRS})
        set(OPT_LIBS ${OPT_LIBS} ${CURL_LIBRARIES})
    endif()
endif()

if(WANT_GIO)
    find_package(GIO)
    if(GIO_FOUND)
        set(HAVE_GIO 1)
        set(OPT_INCLUDES ${OPT_INCLUDES} ${GIO_INCLUDE_DIRS})
        set(OPT_CFLAGS ${OPT_CFLAGS} ${GIO_CFLAGS_OTHER})
        set(OPT_LIBS ${OPT_LIBS} ${GIO_LDFLAGS})
    endif()
endif()

if(WANT_LIBVORBISFILE)
    find_package(VorbisFile)
    if(VORBISFILE_FOUND)
        set(HAVE_LIBVORBISFILE 1)
        set(OPT_INCLUDES ${OPT_INCLUDES} ${VORBISFILE_INCLUDE_DIRS})
        set(OPT_CFLAGS ${OPT_CFLAGS} ${VORBISFILE_CFLAGS_OTHER})
        set(OPT_LIBS ${OPT_LIBS} ${VORBISFILE_LDFLAGS})
    endif()
endif()

if(WANT_FLAC)
    find_package(FLAC)
    if(FLAC_FOUND)
        set(HAVE_FLAC 1)
        set(OPT_INCLUDES ${OPT_INCLUDES} ${FLAC_INCLUDE_DIRS})
        set(OPT_CFLAGS ${OPT_CFLAGS} ${FLAC_CFLAGS_OTHER})
        set(OPT_LIBS ${OPT_LIBS} ${FLAC_LDFLAGS})
    endif()
endif()

if(LINK_AS_NEEDED)
    set(CMAKE_EXE_LINKER_FLAGS ${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed)
endif()

check_include_file(inttypes.h HAVE_INTTYPES_H)
check_include_file(stdint.h HAVE_STDINT_H)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src
    ${GTK2_ALL_INCLUDES}
    ${LIBXML2_INCLUDE_DIR}
    ${GLADE2_INCLUDE_DIRS}
    ${LIBGPOD_INCLUDE_DIRS}
    ${ID3TAG_INCLUDE_DIRS}
    ${OPT_INCLUDES}
)

add_definitions(
    ${GTK2_ALL_CFLAGS}
    ${LIBXML2_DEFINITIONS}
    ${GLADE2_CFLAGS_OTHER}
    ${LIBGPOD_CFLAGS_OTHER}
    ${ID3TAG_CFLAGS_OTHER}
    ${OPT_CFLAGS}
    -DHAVE_CONFIG_H
)

configure_file(${CMAKE_SOURCE_DIR}/cmake/config.h.in
    ${CMAKE_BINARY_DIR}/config.h @ONLY)
configure_file(${CMAKE_SOURCE_DIR}/data/man/gtkpod.1.in
    ${CMAKE_BINARY_DIR}/gtkpod.1 @ONLY)

set(INTLTOOL_MERGE_EXECUTABLE ${CMAKE_SOURCE_DIR}/cmake/intltool-merge)

add_custom_target(desktopfile ALL ${INTLTOOL_MERGE_EXECUTABLE} -d
    ${CMAKE_SOURCE_DIR}/po ${CMAKE_SOURCE_DIR}/data/gtkpod.desktop.in
    ${CMAKE_BINARY_DIR}/gtkpod.desktop)

include(sources)
add_executable(gtkpod ${GTKPOD_SOURCES})

target_link_libraries(gtkpod
    ${GTK2_ALL_LIBS}
    ${LIBXML2_LIBRARIES}
    ${GLADE2_LDFLAGS}
    ${LIBGPOD_LDFLAGS}
    ${ID3TAG_LDFLAGS}
    ${OPT_LIBS}
)

include(Po)
compile_po_files(po GTKPOD_LOCALES)
include(install)

## gtkpod 2.1.0~git20110524

=== debian/changelog ===
gtkpod (2.1.0~git20110524-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot, using GTK3. (We cannot directly use
    the GTK2-based release in Oneiric, as it requires the GTK2 version
    of libanjuta, now overwritten.)
  * debian/control:
    - Depend on GTK3, not GTK2.
    - Depend on libgdl-3-dev.
  * debian/rules:
    - Add get-orig-source rule.
    - Run autogen.sh to do gettextize after autoreconf. (I hate autotools.)
  * debian/gtkpod-data.install:
    - Install GSettings schema.
  * Disabled 01_fix-gtkpod-ldflags.patch, applied upstream.
  * Disabled 02_fix-gtkpod-doc-mountpoint.patch, applied upstream.
  * Add version_sh.patch: return a version in the absence of the .git directory
    (needed for configure.ac).
  
 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 28 May 2011 13:48:11 +0700

gtkpod (2.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #578714)
    + switch to debhelper (>= 8)
    + bump libgpod-dev build-dependency to >= 0.8
    + split of libgtkpod shared library from gtkpod package
    + split of libgtkpod-dev devel library from gtkpod package
    + drop former patch 01_mountpoint, applied upstream
    + drop former patch 10_fix_translations, applied upstream
    + add patch 01_fix-gtkpod-ldflags to correct the wrong setting
      for LDFLAGS in configure and configure.ac files
      (resolved in current upstream)
    + add patch 02_fix-gtkpod-documentation to correct inconsistency
      in documentation about mount point (/mnt -> /media)
      (resolved in current upstream)
    + removal of hal and gnomevfs libraries support (Closes: #613168)
    + use of dh-autoreconf to get rid of RPATH issue
      (resolved in upstream)
  * New maintainer release (Closes: #621910)
  * Bump Standards-Version to 3.9.2

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Mon, 23 May 2011 13:00:00 +0200

gtkpod (0.99.14-3) unstable; urgency=low

  * Remove Nico Golde from Uploaders on his request.
  * Bump Standards-Version to 3.8.3 (no changes)

 -- Frank Lichtenheld <djpig@debian.org>  Mon, 26 Oct 2009 22:34:53 +0100

gtkpod (0.99.14-2) unstable; urgency=low

  * Upload to unstable.

 -- Frank Lichtenheld <djpig@debian.org>  Mon, 09 Mar 2009 23:53:41 +0100

gtkpod (0.99.14-1) experimental; urgency=low

  * New upstream release
    + drop patch 10_usage--auto, applied upstream
    + drop patch 20_scripts_bashisms, applied upstream
    + bump libgpod-dev build-dependency to >= 0.7.0
    + drop debian/gtkpod.desktop and use upstream's
      version
    + do not generate manpage from debian/gtkpod.pod and
      use upstream's version. Since debian/gtkpod.pod is
      the original source and upstream only includes the
      generated groff file, I leave the POD file in the
      source.
  * Reorganise packaging. Move arch-indep data to
    gtkpod-data package and rewrite debian/rules to
    use dh.
  * Fix watch file to use SF.net redirector implicetly
  * Bump Standards-Version to 3.8.0
    + Add debian README.source about dpatch
  * Add new patch 10_fix_translations for a broken string
    in the German translation

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 26 Feb 2009 18:13:27 +0100

gtkpod (0.99.12-3) unstable; urgency=low

  * Add 20_scripts_bashisms. This fixes bashisms in
    the helper scripts or at least makes them explicetly
    bash scripts. Reported by Raphael Geissert. (Closes: #489605)
  * Remove the obsolete Suggest on recode, all scripts use
    iconv nowadays.
  * Add some new Recommends/Suggests for the convert-* scripts.
    Addresses at least part of LP #193722
  * Update copyright file.

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 10 Jul 2008 23:45:04 +0200

gtkpod (0.99.12-2) unstable; urgency=low

  * Call dh_icons. Suggested by Sikon (Closes: #466126)
  * Bump debhelper compat level to 6 and adapt
    build-dependencies.
  * Add 10_usage--auto.dpatch. -a/--auto was removed, so
    don't advertise it in the usage output. Also adapt
    the man page. (Closes: #466127)

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 17 Apr 2008 20:25:51 +0200

gtkpod (0.99.12-1) unstable; urgency=low

  * New upstream release.
  * Adjust build-dependency on libgpod, >= 0.6.0 is now needed.
  * Bumped Standards version, no changes needed.
  * Updating 01_mountpoint.dpatch cause it did no longer apply.
  * Remove 03_itdb-set-local-to-imported.dpatch, included upstream.
  * Remove 02_missing_fclose.dpatch, not needed anymore. Upstream source code
    changed and the function does not have a local FILE stream that needs to be
    closed anymore.

 -- Nico Golde <nion@debian.org>  Sun, 13 Jan 2008 17:24:33 +0100

gtkpod (0.99.10-5) unstable; urgency=low

  * Add changing mountpoint as well in prefs.c
    to 01_mountpoint (Closes: #452056).
  * Removed NEWS file as its last entry was before sarge.

 -- Nico Golde <nion@debian.org>  Tue, 20 Nov 2007 14:22:12 +0100

gtkpod (0.99.10-4) unstable; urgency=low

  * Switched from Xs-Vcs to Vcs control field, dpkg supports them now.
  * Switched from old Homepage tag to the new Homepage control field.
  * New dependency on dpatch as we don't want to modify the source
    directly any longer.
  * Added previously modified source code as dpatch patches:
    01_mountpoint, 02_missing_fclose
  * Included 03_itdb-set-local-to-imported.dpatch to fix inability to import
    into local repos (Closes: #451749).

 -- Nico Golde <nion@debian.org>  Tue, 13 Nov 2007 16:18:58 +0100

gtkpod (0.99.10-3) unstable; urgency=low

  * Added missing fclose() call in mp3file.c to prevent too many open
    file descriptors (Closes: #441308).
  * Adapted .desktop file to current freedesktop standards.

 -- Nico Golde <nion@debian.org>  Sun, 09 Sep 2007 20:13:31 +0200

gtkpod (0.99.10-2) unstable; urgency=low

  * Upload to unstable
  * Update menu entry according to new menu policy
  * Lintian: Don't ignore all errors from "make distclean"

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 10 Jul 2007 00:25:04 +0200



=== debian/control ===
Source: gtkpod
Section: sound
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
Uploaders: Frank Lichtenheld <djpig@debian.org>, Matteo F. Vescovi <m.vescovi@revese.it>
Build-Depends: debhelper (>= 8), autoconf, automake, autotools-dev,
 dh-autoreconf, flex, gettext, gtk-doc-tools, libflac-dev,
 libglib2.0-dev, libgtk-3-dev, libid3tag0-dev, libxml-parser-perl,
 libanjuta-dev, libcurl4-gnutls-dev, libgpod-dev (>= 0.8),
 libgdl-3-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev,
 libvorbis-dev, libxml2-dev, pkg-config
Standards-Version: 3.9.2
Homepage: http://www.gtkpod.org
Vcs-Git: git://git.debian.org/pkg-gtkpod/packages/gtkpod.git
Vcs-Browser: http://git.debian.org/?p=pkg-gtkpod/packages/gtkpod.git

Package: gtkpod
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 gtkpod-data (= ${source:Version}), libgtkpod1 (= ${binary:Version})
Recommends: id3v2, vorbis-tools
Suggests: mp3gain, python, perl, faad
Replaces: gtkpod-data (<< 2)
Description: manage songs and playlists on an Apple iPod
 gtkpod is a platform independent GUI for Apple's iPod using GTK2.
 It allows you to upload songs and playlists to your iPod. It supports ID3
 tag editing, multiple charsets for ID3 tags, detects duplicate songs,
 allows offline modification of the database with later synchronisation,
 and more.

Package: gtkpod-data
Architecture: all
Depends: ${misc:Depends}
Suggests: gtkpod, python, python-jppy
Replaces: gtkpod (<< 2)
Description: architecture-independent files for gtkpod
 gtkpod is a platform independent GUI for Apple's iPod using GTK2.
 It allows you to upload songs and playlists to your iPod. It supports ID3
 tag editing, multiple charsets for ID3 tags, detects duplicate songs,
 allows offline modification of the database with later synchronisation,
 and more.
 .
 This package contains documentation, translations and images for
 gtkpod.

Package: libgtkpod-dev
Section: libdevel
Architecture: any
Depends: libgtkpod1 (= ${binary:Version}), ${misc:Depends}
Description: main library for the gtkpod package, development kit
 This is the core library and plugins for gtkpod.
 Library containing core gtk functions for the application gtkpod and
 the related gtkpod-data package.
 .
 This package contains the static library and headers for use by developers.

Package: libgtkpod1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: main library for the gtkpod package, shared library
 This is the core library and plugins for gtkpod.
 Library containing core gtk functions for the application gtkpod and
 the related gtkpod-data package.

=== debian/rules ===
#!/usr/bin/make -f
# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_install:
	rm -f debian/tmp/usr/share/gtkpod/data/COPYING
	rm -f debian/tmp/usr/share/gtkpod/doc/icon-licence.txt
	dh_install

VERSION = $(shell dpkg-parsechangelog | grep "^Version:" | sed -r "s/Version: (.*)-.*/\1/")

get-orig-source:
	cd debian && git clone --depth 1 -b gtk-3.0 git://gtkpod.git.sourceforge.net/gitroot/gtkpod/gtkpod
	cd debian/gtkpod && git archive --format=tar --prefix=gtkpod-$(VERSION)/ HEAD | \
		gzip -9c > ../../../gtkpod_$(VERSION).orig.tar.gz
	rm -rf debian/gtkpod

## gtkpod 2.1.0

=== debian/changelog ===
gtkpod (2.1.0-1ubuntu2) precise; urgency=low

  * No change rebuild for libgdl-3-2

 -- Micah Gersten <micahg@ubuntu.com>  Sat, 21 Jan 2012 20:39:09 -0600

gtkpod (2.1.0-1ubuntu1) oneiric; urgency=low

  * Merge from Debian (LP: #830103), remaining Ubuntu changes:
    + debian/patches/ubuntu_gtk_deprecated_port.patch:
      - Remove uses of deprecated GTK functions.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 20 Aug 2011 22:10:03 +0700

gtkpod (2.1.0-1) unstable; urgency=low

  * New upstream stable release 

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Sun, 07 Aug 2011 12:06:54 +0200

gtkpod (2.1.0~git20110604.c707594-3) unstable; urgency=low

  * Upload to unstable (GTK3 dependencies switch completed) 

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Thu, 21 Jul 2011 14:29:44 +0200

gtkpod (2.1.0~git20110604.c707594-2) experimental; urgency=low

  * Fixes a silly oversight that made gtkpod not starting
    due to the lack of a schema file (Closes: #633770)
  * Added a symbolic link to /usr/share/common-licenses/GPL-2
    for the COPYING file to get rid of a warning on the
    application closing in terminal

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Thu, 14 Jul 2011 19:18:40 +0200

gtkpod (2.1.0~git20110604.c707594-1) experimental; urgency=low

  * New upstream release (still under development)
    + switch to GTK3, Anjuta3 and GDL3 (Closes: #631293)

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Fri, 24 Jun 2011 09:00:00 +0200

gtkpod (2.0.2-1) unstable; urgency=low

  * New upstream release
    + drop former patch 01_fix-gtkpod-ldflags, applied upstream
    + drop former patch 02_fix-gtkpod-documentation, applied upstream
    + drop the use of dh-autoreconf, rpath issue solved upstream
  * Adding gtkpod-dbg (debugging symbols) package

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Wed, 15 Jun 2011 11:00:00 +0200

=== debian/control ===
Source: gtkpod
Section: sound
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <m.vescovi@revese.it>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               debhelper (>= 8),
               flex,
               gettext,
               gtk-doc-tools,
               libanjuta-dev (>= 2:3.0),
               libcurl4-gnutls-dev,
               libflac-dev,
               libgdl-3-dev,
               libglib2.0-dev,
               libgpod-dev (>= 0.8),
               libgstreamer-plugins-base0.10-dev,
               libgstreamer0.10-dev,
               libgtk-3-dev,
               libid3tag0-dev,
               libvorbis-dev,
               libxml-parser-perl,
               libxml2-dev,
               pkg-config
Standards-Version: 3.9.2
Homepage: http://www.gtkpod.org
Vcs-Git: git://git.debian.org/pkg-gtkpod/packages/gtkpod.git
Vcs-Browser: http://git.debian.org/?p=pkg-gtkpod/packages/gtkpod.git

Package: gtkpod
Architecture: any
Depends: gtkpod-data (= ${source:Version}),
         libgtkpod1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: id3v2 | python-mutagen,
            vorbis-tools
Suggests: faad,
          mp3gain,
          perl,
          python
Replaces: gtkpod-data (<< 2)
Description: manage songs and playlists on an Apple iPod
 gtkpod is a platform independent GUI for Apple's iPod using GTK3.
 It allows you to upload songs and playlists to your iPod. It supports ID3
 tag editing, multiple charsets for ID3 tags, detects duplicate songs,
 allows offline modification of the database with later synchronisation,
 and more.

Package: gtkpod-data
Architecture: all
Depends: ${misc:Depends}
Suggests: gtkpod,
          python,
          python-jppy
Replaces: gtkpod (<< 2)
Description: architecture-independent files for gtkpod
 gtkpod is a platform independent GUI for Apple's iPod using GTK3.
 It allows you to upload songs and playlists to your iPod. It supports ID3
 tag editing, multiple charsets for ID3 tags, detects duplicate songs,
 allows offline modification of the database with later synchronisation,
 and more.
 .
 This package contains documentation, translations and images for
 gtkpod.

Package: libgtkpod-dev
Section: libdevel
Architecture: any
Depends: libgtkpod1 (= ${binary:Version}),
         ${misc:Depends}
Description: main library for the gtkpod package, development kit
 This is the core library and plugins for gtkpod.
 Library containing core gtk functions for the application gtkpod and
 the related gtkpod-data package.
 .
 This package contains the static library and headers for use by developers.

Package: libgtkpod1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: main library for the gtkpod package, shared library
 This is the core library and plugins for gtkpod.
 Library containing core gtk functions for the application gtkpod and
 the related gtkpod-data package.

Package: gtkpod-dbg
Section: debug
Architecture: any
Depends: gtkpod (= ${binary:Version}),
         libgtkpod1 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for gtkpod
 gtkpod is a platform independent GUI for Apple's iPod using GTK3.
 It allows you to upload songs and playlists to your iPod. It supports ID3
 tag editing, multiple charsets for ID3 tags, detects duplicate songs,
 allows offline modification of the database with later synchronisation,
 and more.
 .
 This package contains the debugging symbols for gtkpod.

=== debian/rules ===
#!/usr/bin/make -f
# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

override_dh_install:
	rm -f debian/tmp/usr/share/gtkpod/data/COPYING
	rm -f debian/tmp/usr/share/gtkpod/doc/icon-licence.txt
	dh_install

override_dh_strip:
	dh_strip --dbg-package=gtkpod-dbg

## gtkpod 2.1.1

=== debian/changelog ===
gtkpod (2.1.1-1) unstable; urgency=low

  * New upstream release
    + fixes a re-building FTBFS bug report (Closes: #652155)
    + fixes a bug where gtkpod was unable to add directory
      in a specified order (Closes: #547295)
    + fixes an out-of-date bug about single track gain (Closes: #506665)
    + fixes a bug report about not obvious way to delete
      a playlist without selecting from two menus (Closes: #378801)
  * Add patch 0001-Patch-to-close-a-bug-about-mab2vcard (Closes: #375476)
  * debian/control: added libwebkitgtk-3.0-dev to b-deps
  * debian/control: added libfaad-dev to b-deps
  * debian/control: added faad to b-deps
  * debian/control: python -> python-dev b-deps
  * debian/control: VCS-links corrected
  * debian/control: dh_python2 full compliance
  * debian/control: maintainer's email address changed
  * debian/rules: "--with python2" parameter added
  * debian/rules: "--parallel" parameter added
  * debian/copyright: DEP-5 link and Comment fields updated
  * debian/copyright: DEP-5 URI updated
  * debian/copyright: non DEP-5 stuff removed
  * debian/copyright: missing GFDL license paragraph added
  * debian/gtkpod-data.docs: TODOandBUGS.txt file removed
  * debian/libgtkpod1.symbols: symbols dropping.
    Thanks to Michael Biebl (biebl) for the libs packaging lesson

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 11 Jan 2012 11:05:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: gtkpod
 Section: sound
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
-Uploaders: Matteo F. Vescovi <m.vescovi@revese.it>
+Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
+Uploaders: Matteo F. Vescovi <mfv.debian@gmail.com>
 Build-Depends: autoconf,
                automake,
                autotools-dev,
                debhelper (>= 8),
+               faad,
                flex,
                gettext,
                gtk-doc-tools,
                libanjuta-dev (>= 2:3.0),
                libcurl4-gnutls-dev,
+               libfaad-dev,
                libflac-dev,
                libgdl-3-dev,
                libglib2.0-dev,
@@ -22,26 +23,29 @@
                libgtk-3-dev,
                libid3tag0-dev,
                libvorbis-dev,
+               libwebkitgtk-3.0-dev,
                libxml-parser-perl,
                libxml2-dev,
-               pkg-config
+               pkg-config,
+               python-dev (>= 2.6.6-3~)
 Standards-Version: 3.9.2
 Homepage: http://www.gtkpod.org
-Vcs-Git: git://git.debian.org/pkg-gtkpod/packages/gtkpod.git
-Vcs-Browser: http://git.debian.org/?p=pkg-gtkpod/packages/gtkpod.git
+Vcs-Git: git://anonscm.debian.org/pkg-gtkpod/packages/gtkpod.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gtkpod/packages/gtkpod.git
 
 Package: gtkpod
 Architecture: any
 Depends: gtkpod-data (= ${source:Version}),
          libgtkpod1 (= ${binary:Version}),
          ${misc:Depends},
+         ${python:Depends},
          ${shlibs:Depends}
 Recommends: id3v2 | python-mutagen,
             vorbis-tools
 Suggests: faad,
           mp3gain,
           perl,
-          python
+          python (>= 2.6.6-3~)
 Replaces: gtkpod-data (<< 2)
 Description: manage songs and playlists on an Apple iPod
  gtkpod is a platform independent GUI for Apple's iPod using GTK3.
@@ -52,9 +56,10 @@
 
 Package: gtkpod-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         ${python:Depends}
 Suggests: gtkpod,
-          python,
+          python (>= 2.6.6-3~),
           python-jppy
 Replaces: gtkpod (<< 2)
 Description: architecture-independent files for gtkpod

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DH_OPTIONS
 
 %:
-	dh $@
+	dh $@ --with python2 --parallel
 
 override_dh_install:
 	rm -f debian/tmp/usr/share/gtkpod/data/COPYING

=== debian/watch ===
version=3
http://sf.net/gtkpod/gtkpod-(.+)\.tar\.gz

## gtkpod 2.1.2~beta2

=== debian/changelog ===
gtkpod (2.1.2~beta2-1) unstable; urgency=low

  * New upstream beta release (Closes: #665870, #671372)
    + debian/libgtkpod1.symbols: symbols updated
    + debian/libatomicparsley0.symbols: symbols file added
  * debian/: 8 => 9 dh bump
  * debian/: libatomicparsley package added (Closes: #659361)
  * debian/: Multi-Arch support added
  * debian/copyright: entry about atomicparsley added
  * debian/control: Standards-Version bumped to 3.9.3

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Sat, 02 Jun 2012 12:16:08 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: autoconf,
                automake,
                autotools-dev,
-               debhelper (>= 8),
+               debhelper (>= 9),
                faad,
                flex,
                gettext,
@@ -28,7 +28,7 @@
                libxml2-dev,
                pkg-config,
                python-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.gtkpod.org
 Vcs-Git: git://anonscm.debian.org/pkg-gtkpod/packages/gtkpod.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gtkpod/packages/gtkpod.git
@@ -36,6 +36,7 @@
 Package: gtkpod
 Architecture: any
 Depends: gtkpod-data (= ${source:Version}),
+         libatomicparsley0 (= ${binary:Version}),
          libgtkpod1 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
@@ -72,6 +73,34 @@
  This package contains documentation, translations and images for
  gtkpod.
 
+Package: gtkpod-dbg
+Section: debug
+Architecture: any
+Depends: gtkpod (= ${binary:Version}),
+         libatomicparsley0 (= ${binary:Version}),
+         libgtkpod1 (= ${binary:Version}),
+         ${misc:Depends}
+Description: debugging symbols for gtkpod
+ gtkpod is a platform independent GUI for Apple's iPod using GTK3.
+ It allows you to upload songs and playlists to your iPod. It supports ID3
+ tag editing, multiple charsets for ID3 tags, detects duplicate songs,
+ allows offline modification of the database with later synchronisation,
+ and more.
+ .
+ This package contains the debugging symbols for gtkpod.
+
+Package: libgtkpod1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Description: main library for the gtkpod package, shared library
+ This is the core library and plugins for gtkpod.
+ Library containing core gtk functions for the application gtkpod and
+ the related gtkpod-data package.
+
 Package: libgtkpod-dev
 Section: libdevel
 Architecture: any
@@ -84,27 +113,26 @@
  .
  This package contains the static library and headers for use by developers.
 
-Package: libgtkpod1
+Package: libatomicparsley0
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Description: main library for the gtkpod package, shared library
- This is the core library and plugins for gtkpod.
- Library containing core gtk functions for the application gtkpod and
- the related gtkpod-data package.
+Description: main library for atomic parsley in gtkpod, shared library
+ This is the core library for atomic parsley of mp4 files in gtkpod.
+ Library including read/write lyric support for the first time and
+ write metadata function.
 
-Package: gtkpod-dbg
-Section: debug
+Package: libatomicparsley-dev
+Section: libdevel
 Architecture: any
-Depends: gtkpod (= ${binary:Version}),
-         libgtkpod1 (= ${binary:Version}),
+Depends: libatomicparsley0 (= ${binary:Version}),
          ${misc:Depends}
-Description: debugging symbols for gtkpod
- gtkpod is a platform independent GUI for Apple's iPod using GTK3.
- It allows you to upload songs and playlists to your iPod. It supports ID3
- tag editing, multiple charsets for ID3 tags, detects duplicate songs,
- allows offline modification of the database with later synchronisation,
- and more.
+Description: main library for atomic parsley in gtkpod, development kit
+ This is the core library for atomic parsley of mp4 files in gtkpod.
+ Library including read/write lyric support for the first time and
+ write metadata function.
  .
- This package contains the debugging symbols for gtkpod.
+ This package contains the static library and headers for use by developers.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
-# This has to be exported to make some magic below work.
 export DH_OPTIONS
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
 	dh $@ --with python2 --parallel

## gtkpod 2.1.2

=== debian/changelog ===
gtkpod (2.1.2-1ubuntu1) quantal; urgency=low

  * Rebuild with the new gdl
  * debian/patches/new_anjuta_build.patch:
    - build with the current anjuta version
  * debian/patches/security_format_build.patch:
    - build with security-format warnings as errors

 -- Sebastien Bacher <seb128@debian.org>  Mon, 06 Aug 2012 20:01:40 +0200

gtkpod (2.1.2-1) unstable; urgency=low

  [ Matteo F. Vescovi ]
  * New upstream stable release
    + debian/patches/: #0002 dropped (applied upstream)

  [ Chow Loong Jin ]
  * debian/control: Add DM-Upload-Allowed: yes

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 20 Jun 2012 19:43:55 +0800

gtkpod (2.1.2~beta2-3) unstable; urgency=low

  * debian/libatomicparsley0.symbols: updated for
    ia64 and s390x architectures

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Tue, 12 Jun 2012 16:47:01 +0200

gtkpod (2.1.2~beta2-2) unstable; urgency=low

  * debian/libatomicparsley0.symbols: symbols updated (Closes: #676929)
  * debian/control: pkg-kde-tools added to b-deps
  * debian/patches/: #0002 added to fix FTBFS on kBSD64 (Closes: #676931)
  * debian/watch: uscan opts updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Tue, 12 Jun 2012 09:18:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gtkpod
 Section: sound
 Priority: extra
-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv.debian@gmail.com>
 Build-Depends: autoconf,
                automake,
@@ -27,11 +28,13 @@
                libxml-parser-perl,
                libxml2-dev,
                pkg-config,
+               pkg-kde-tools,
                python-dev (>= 2.6.6-3~)
 Standards-Version: 3.9.3
 Homepage: http://www.gtkpod.org
 Vcs-Git: git://anonscm.debian.org/pkg-gtkpod/packages/gtkpod.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gtkpod/packages/gtkpod.git
+DM-Upload-Allowed: yes
 
 Package: gtkpod
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --with python2 --parallel
+	dh $@ --with python2,pkgkde_symbolshelper --parallel
 
 override_dh_install:
 	rm -f debian/tmp/usr/share/gtkpod/data/COPYING

=== debian/watch ===
version=3
opts="dversionmangle=s/\~/-/" \
http://sf.net/gtkpod/gtkpod-(.+)\.tar\.gz

## gtkpod 2.1.3

=== debian/changelog ===
gtkpod (2.1.3-3ubuntu2) saucy; urgency=low

  * debian/patches/gtkpod-2.1.3-anjuta-3.8.patch:
    - Git patch to fix build with Anjuta 3.8

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Jun 2013 13:33:04 -0400

gtkpod (2.1.3-3ubuntu1) raring; urgency=low

  * Sync with Debian.
  * debian/patches/gtkpod-gdl362.patch:
    - Add patch from Fedora to fix build with gdl 3.6.2 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 19 Apr 2013 22:46:12 -0400

gtkpod (2.1.3-3) experimental; urgency=low

  * debian/libatomicparsley0.symbols: fix FTBFS on alpha and ppc64
    (Closes: #704736)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 05 Apr 2013 15:08:55 +0200

gtkpod (2.1.3-2) experimental; urgency=low

  * debian/control: bump b-dep version for libclutter-gtk (Closes: #704615)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Thu, 04 Apr 2013 09:32:43 +0200

gtkpod (2.1.3-1) experimental; urgency=low

  [ Chow Loong Jin ]
  * Use uversionmangle in uscan instead.
    When using dversionmangle to mangle the "~beta"
    back to "-beta" in the version  string,
    uscan considers x.y.z-betaN to be a newer version
    than x.y.z. This change fixes that.

  [ Matteo F. Vescovi ]
  * New upstream release (Closes: #689378, #689380, #696379)
  * debian/control: DMUA flag dropped
  * debian/control: libclutter-gtk-1.0-dev b-dep added
  * debian/control: S-V 3.9.3 => 3.9.4 (no changes needed)
  * debian/watch: source path updated.
    Thanks to Bart Martens (bartm) for the hint.

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 14 Jan 2013 12:33:47 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                gettext,
                gtk-doc-tools,
                libanjuta-dev (>= 2:3.0),
+               libclutter-gtk-1.0-dev (>= 1.4.0),
                libcurl4-gnutls-dev,
                libfaad-dev,
                libflac-dev,
@@ -30,11 +31,10 @@
                pkg-config,
                pkg-kde-tools,
                python-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.gtkpod.org
 Vcs-Git: git://anonscm.debian.org/pkg-gtkpod/packages/gtkpod.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gtkpod/packages/gtkpod.git
-DM-Upload-Allowed: yes
 
 Package: gtkpod
 Architecture: any

## gtkpod 2.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(VERSION 0.99.17GIT)
+set(VERSION 1.0.0)
 set(GETTEXT_PACKAGE ${CMAKE_PROJECT_NAME})
 set(PACKAGE_DATA_DIR ${CMAKE_INSTALL_PREFIX}/share)
 set(PACKAGE_LOCALE_DIR ${PACKAGE_DATA_DIR}/locale)
@@ -98,7 +98,7 @@
 endif()
 
 if(LINK_AS_NEEDED)
-    set(CMAKE_EXE_LINKER_FLAGS ${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed)
+    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed")
 endif()
 
 check_include_file(inttypes.h HAVE_INTTYPES_H)
@@ -137,6 +137,8 @@
     ${CMAKE_BINARY_DIR}/gtkpod.desktop)
 
 include(sources)
+include(Po)
+compile_po_files(po GTKPOD_SOURCES)
 add_executable(gtkpod ${GTKPOD_SOURCES})
 
 target_link_libraries(gtkpod
@@ -148,6 +150,4 @@
     ${OPT_LIBS}
 )
 
-include(Po)
-compile_po_files(po GTKPOD_LOCALES)
 include(install)

=== debian/changelog ===
gtkpod (2.1.4-1ubuntu2) trusty; urgency=medium

  * Update symbols for arm64 too

 -- Iain Lane <iain.lane@canonical.com>  Fri, 28 Mar 2014 12:55:12 +0000

gtkpod (2.1.4-1ubuntu1) trusty; urgency=medium

  * Update symbols for ppc64el
  * Build with dh-autoreconf to fix linking failure on new arches

 -- Iain Lane <iain.lane@canonical.com>  Fri, 28 Mar 2014 12:13:29 +0000

gtkpod (2.1.4-1build1) trusty; urgency=medium

  * No-change rebuild for new cogl

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 14 Jan 2014 23:35:47 +0000

gtkpod (2.1.4-1) unstable; urgency=low

  * New upstream stable release
    - debian/patches/: patchset refreshed
      - 0002-Usage_of_anjuta-3.8.patch dropped (applied upstream)
      - 0003-Usage_of_gdl-3.6.patch dropped (applied upstream)
    - debian/libgtkpod1.symbols: symbols updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 09 Sep 2013 11:15:29 +0200

gtkpod (2.1.3-5) unstable; urgency=low

  * debian/control: unversioned b-deps for anjuta and libgpod
  * debian/source/local-options: file removed
  * debian/patches/: patchset updated (Closes: #718532)
    - 0001-Fix_mab2vcard_issue.patch refreshed
    - 0002-Usage_of_anjuta-3.8.patch added
    - 0003-Usage_of_gdl-3.6.patch added
    Thanks to Michael Biebl (biebl) for the hint.

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 02 Aug 2013 11:19:09 +0200

gtkpod (2.1.3-4) unstable; urgency=low

  * Upload to unstable
    - debian/control: libclutter-gtk-1.0-dev b-dep version
      dropped to allow build process against unstable suite
  * debian/control: lame added to Suggests (Closes: #707999)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 20 May 2013 17:43:30 +0200

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,19 @@
                automake,
                autotools-dev,
                debhelper (>= 9),
+               dh-autoreconf,
                faad,
                flex,
                gettext,
                gtk-doc-tools,
-               libanjuta-dev (>= 2:3.0),
-               libclutter-gtk-1.0-dev (>= 1.4.0),
+               libanjuta-dev,
+               libclutter-gtk-1.0-dev,
                libcurl4-gnutls-dev,
                libfaad-dev,
                libflac-dev,
                libgdl-3-dev,
                libglib2.0-dev,
-               libgpod-dev (>= 0.8),
+               libgpod-dev,
                libgstreamer-plugins-base0.10-dev,
                libgstreamer0.10-dev,
                libgtk-3-dev,
@@ -47,6 +48,7 @@
 Recommends: id3v2 | python-mutagen,
             vorbis-tools
 Suggests: faad,
+          lame,
           mp3gain,
           perl,
           python (>= 2.6.6-3~)

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --with python2,pkgkde_symbolshelper --parallel
+	dh $@ --with python2,pkgkde_symbolshelper,autoreconf --parallel
 
 override_dh_install:
 	rm -f debian/tmp/usr/share/gtkpod/data/COPYING

## gtkpod 2.1.5

=== debian/changelog ===
gtkpod (2.1.5-9) unstable; urgency=medium

  * New maintainer. (Closes: #779043, #993378)

 -- Adrian Bunk <bunk@debian.org>  Wed, 01 Sep 2021 12:36:14 +0300

gtkpod (2.1.5-8) unstable; urgency=medium

  * QA upload.
  * Work around gcc-10 build issue by appending -fcommon to CFLAGS
    (Closes: #957320)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 01 Jan 2021 01:54:12 +0100

gtkpod (2.1.5-7) unstable; urgency=medium

  * QA upload.
  * Drop everything related to python. (Closes: #936673)
    - this affects the sync-palm-jppy.py which should already
      be non-functional as the suggested python-jppy no longer exists
      (not to mention that running into a Palm Pilot these days is
      probably pretty unlikely).
  * Stop shipping /usr/share/gtkpod/scripts/sync-palm-jppy.py

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 28 Oct 2019 04:08:53 +0100

gtkpod (2.1.5-6) unstable; urgency=low

  * QA upload.
  * Disable the coverweb plugin, it depends on a deprecated
    WebKitGTK+ version. (Closes: #866640)

 -- Adrian Bunk <bunk@debian.org>  Fri, 07 Jul 2017 18:18:43 +0300

gtkpod (2.1.5-5) unstable; urgency=medium

  * debian/control: orphaning the package
  * debian/control: S-V bump 3.9.8 -> 4.0.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 01 Jul 2017 14:24:05 +0200

gtkpod (2.1.5-4) unstable; urgency=medium

  * debian/control: gnome-common b-dep added (Closes: #837834)
  * debian/gtkpod.maintscript: file deleted

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 13 Nov 2016 13:37:44 +0100

gtkpod (2.1.5-3) unstable; urgency=medium

  * debian/libatomicparsley0.symbols: symbols updated. (Closes: #822232)
    Thanks to Adrian Glaubitz (glaubitz) for the patch.

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 28 Apr 2016 14:14:46 +0200

gtkpod (2.1.5-2) unstable; urgency=medium

  * debian/libatomicparsley0.symbols: file updated (Closes: #822232)
  * debian/control: S-V bump 3.9.6 -> 3.9.8 (no changes needed)
  * debian/control: Vcs-* fields updated for https:// usage
  * debian/gtkpod.menu: file dropped

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 22 Apr 2016 15:36:44 +0200

gtkpod (2.1.5-1) unstable; urgency=medium

  * New upstream stable release
    - debian/copyright: ltmain.sh license entry dropped
  * debian/control:
    - GStreamer bump 0.10 => 1.0 (Closes: #785824)
    - dh-python b-dep added
  * debian/gbp.conf: [git-dch] => [dch]

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 09 Jun 2015 22:14:49 +0200

gtkpod (2.1.4-5) unstable; urgency=medium

  * debian/: fix upgrade issues from former versions (Closes: #774891)
  * debian/copyright: minor typos fixed
  * debian/control: S-V bump 3.9.5 => 3.9.6 (no changes needed)
  * debian/control: Uploader e-mail address updated

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 15 Jan 2015 08:41:20 +0100

gtkpod (2.1.4-4) unstable; urgency=medium

  * debian/control: autotools-dev b-dep dropped

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Thu, 31 Jul 2014 15:52:10 +0200

gtkpod (2.1.4-3) unstable; urgency=medium

  * debian/libatomicparsley0.symbols: new symbols added.
    Thanks to Sphinx Jiang for the patch. (Closes: #754768)

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Mon, 14 Jul 2014 15:46:15 +0200

gtkpod (2.1.4-2) unstable; urgency=medium

  * debian/: support for ppc64el and arm64 arches.
    Thanks to Iain Lane (laney) for the patch. (Closes: #742879)
  * debian/control: S-V bump 3.9.4 => 3.9.5 (no changes needed)
  * debian/control: Uploader e-mail address updated

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Mon, 31 Mar 2014 08:17:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: gtkpod
 Section: sound
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
-Uploaders: Matteo F. Vescovi <mfv.debian@gmail.com>
+Maintainer: Adrian Bunk <bunk@debian.org>
 Build-Depends: autoconf,
                automake,
-               autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
                faad,
                flex,
                gettext,
+               gnome-common,
                gtk-doc-tools,
                libanjuta-dev,
                libclutter-gtk-1.0-dev,
@@ -21,37 +19,32 @@
                libgdl-3-dev,
                libglib2.0-dev,
                libgpod-dev,
-               libgstreamer-plugins-base0.10-dev,
-               libgstreamer0.10-dev,
+               libgstreamer-plugins-base1.0-dev,
+               libgstreamer1.0-dev,
                libgtk-3-dev,
                libid3tag0-dev,
                libvorbis-dev,
-               libwebkitgtk-3.0-dev,
                libxml-parser-perl,
                libxml2-dev,
                pkg-config,
                pkg-kde-tools,
-               python-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.4
+Standards-Version: 4.0.0
 Homepage: http://www.gtkpod.org
-Vcs-Git: git://anonscm.debian.org/pkg-gtkpod/packages/gtkpod.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gtkpod/packages/gtkpod.git
 
 Package: gtkpod
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: gtkpod-data (= ${source:Version}),
          libatomicparsley0 (= ${binary:Version}),
          libgtkpod1 (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
          ${shlibs:Depends}
-Recommends: id3v2 | python-mutagen,
+Recommends: id3v2,
             vorbis-tools
 Suggests: faad,
           lame,
           mp3gain,
           perl,
-          python (>= 2.6.6-3~)
 Replaces: gtkpod-data (<< 2)
 Description: manage songs and playlists on an Apple iPod
  gtkpod is a platform independent GUI for Apple's iPod using GTK3.
@@ -63,10 +56,7 @@
 Package: gtkpod-data
 Architecture: all
 Depends: ${misc:Depends},
-         ${python:Depends}
-Suggests: gtkpod,
-          python (>= 2.6.6-3~),
-          python-jppy
+Suggests: gtkpod
 Replaces: gtkpod (<< 2)
 Description: architecture-independent files for gtkpod
  gtkpod is a platform independent GUI for Apple's iPod using GTK3.

=== debian/rules ===
#!/usr/bin/make -f
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Needed with gcc-10, see https://bugs.debian.org/957320
export DEB_CFLAGS_MAINT_APPEND = -fcommon

%:
	dh $@ --with pkgkde_symbolshelper,autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- --disable-plugin-coverweb

override_dh_install:
	rm -f debian/tmp/usr/share/gtkpod/data/COPYING
	rm -f debian/tmp/usr/share/gtkpod/doc/icon-licence.txt
	rm -f debian/tmp/usr/share/gtkpod/scripts/sync-palm-jppy.py
	dh_install

override_dh_strip:
	dh_strip --dbg-package=gtkpod-dbg

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://qa.debian.org/watch/sf.php/gtkpod/gtkpod-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
